Bug 25869 - Coce images not loading for lists (virtualshelves)
Summary: Coce images not loading for lists (virtualshelves)
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on: 18421
Blocks:
  Show dependency treegraph
 
Reported: 2020-06-24 16:17 UTC by Nick Clemens
Modified: 2020-09-18 19:58 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.03, 19.11.09


Attachments
Bug 25869: Fix Coce display for lists (2.32 KB, patch)
2020-06-24 16:19 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 25869: Fix Coce display for lists (2.37 KB, patch)
2020-06-24 17:47 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25869: Fix Coce display for lists (2.43 KB, patch)
2020-07-06 21:52 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2020-06-24 16:17:04 UTC
This looks like an oversight from bug 18421

The systempreference Coce was renamed OpacCoce but the virtual shelves template was not updated
Comment 1 Nick Clemens 2020-06-24 16:19:37 UTC
Created attachment 106258 [details] [review]
Bug 25869: Fix Coce display for lists

To test:
1 - Enable Coce for Opac
    CoceHost: https://coce.bywatersolutions.com
    CoceProviders: Select all
    OpacCoce: Enable
2 - Do a search on the Opac, confirm you see some covers
3 - Add some of the items with covers to a public list
4 - View the public list
5 - Note no covers display
6 - Apply patch
7 - Success!
Comment 2 Owen Leonard 2020-06-24 17:47:10 UTC
Created attachment 106259 [details] [review]
Bug 25869: Fix Coce display for lists

To test:
1 - Enable Coce for Opac
    CoceHost: https://coce.bywatersolutions.com
    CoceProviders: Select all
    OpacCoce: Enable
2 - Do a search on the Opac, confirm you see some covers
3 - Add some of the items with covers to a public list
4 - View the public list
5 - Note no covers display
6 - Apply patch
7 - Success!

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Katrin Fischer 2020-07-06 21:52:43 UTC
Created attachment 106616 [details] [review]
Bug 25869: Fix Coce display for lists

To test:
1 - Enable Coce for Opac
    CoceHost: https://coce.bywatersolutions.com
    CoceProviders: Select all
    OpacCoce: Enable
2 - Do a search on the Opac, confirm you see some covers
3 - Add some of the items with covers to a public list
4 - View the public list
5 - Note no covers display
6 - Apply patch
7 - Success!

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-07-20 12:08:15 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-07-24 21:31:12 UTC
backported to 20.05.x for 20.05.03
Comment 6 Aleisha Amohia 2020-08-03 22:05:49 UTC
backported to 19.11.x for 19.11.09
Comment 7 Victor Grousset/tuxayo 2020-09-18 19:58:01 UTC
Not backported to oldoldstable (19.05.x). Feel free to ask if it's needed.